<?
// this name have to be the same with atribute <name> in xml file
define('NAME_OF_MODULE','cs-fireboard-default');

// name of template are you using
define('NAME_OF_TEMPLATE','default_ex');


function copydirr($fromDir,$toDir,$chmod=0757,$verbose=false)
/*
copies everything from directory $fromDir to directory $toDir
and sets up files mode $chmod
*/
{
	$errors=array();
	$messages=array();
	
	if (!is_dir($toDir)) {
		if (@mkdir($toDir,$chmod))
		{
			$messages[]='Directory created: '.$to;
		}
		else{
			$errors[]='target '.$toDir.' is not a directory and I cannot create it';
		}
	}
	if (!is_writable($toDir)) {
		$errors[]='target '.$toDir.' is not writable';
	}
	if (!is_dir($fromDir)) {
		$errors[]='source '.$fromDir.' is not a directory';
	}
	if (!empty($errors))
	{	
		echo '<dl id="system-message">';
		echo '<dt class="error">Chyba</dt><dd class="error message fade"><ul>';
		foreach($errors as $err) {
			echo '<li><strong>Error</strong>: '.$err.'</li>';
		}
		echo'</ul></dd></dl>';

		return 1;
	}
	$exceptions=array('.','..');
	//* Processing
	$handle=opendir($fromDir);
	while (false!==($item=readdir($handle)))
	if (!in_array($item,$exceptions)){
		//* cleanup for trailing slashes in directories destinations
		$from=str_replace('//','/',$fromDir.'/'.$item);
		$to=str_replace('//','/',$toDir.'/'.$item);
		//*/
		if (is_file($from))
		{
			if (@copy($from,$to))
			{
				chmod($to,$chmod);
				touch($to,filemtime($from)); // to track last modified time
				$messages[]='File copied from '.$from.' to '.$to;
			}
			else
			$errors[]='cannot copy file from '.$from.' to '.$to;
		}
		if (is_dir($from))
		{
			if (@mkdir($to,$chmod))
			{
				$messages[]='Directory created: '.$to;
			}
			else
			$errors[]='cannot create directory '.$to;
			copydirr($from,$to,$chmod,$verbose);
		}
	}
	closedir($handle);

	$ret=0;
	//* Output
	if ($verbose)
	{
		echo '<dl id="system-message">';
		if(!empty($errors)){
			echo '<dt class="error">Chyba</dt>
			<dd class="error message fade">
			<ul>';
			foreach($errors as $err)
			{		
				echo '<li><strong>Error</strong>: '.$err.'</li>';
				$ret=1;
			}
			echo'</ul>
			</dd>';
		}
	}
	//*/
	return $ret;
}
?>
